Package ru.bitel.bgbilling.kernel.event.events

# Class ContractParamBeforeChangeEvent

java.lang.Object
ru.bitel.bgbilling.kernel.event.common.Event
ru.bitel.bgbilling.kernel.event.common.QueueEvent
ru.bitel.bgbilling.kernel.event.common.LocalEvent
ru.bitel.bgbilling.kernel.event.events.ContractParamBeforeChangeEvent

All Implemented Interfaces:
  `java.io.Serializable`, `ErrorReturnableEvent`

    public class ContractParamBeforeChangeEvent
    extends ru.bitel.bgbilling.kernel.event.common.LocalEvent

Синхронное событие, вызывается до модификации параметра договора.

See Also:
  Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

- ## Constructor Summary

  Constructors
  Modifier | Constructor | Description
  --- | --- | ---
  `protected` | `ContractParamBeforeChangeEvent()` |
  `` | `ContractParamBeforeChangeEvent​(int userId, int cid, int pid, java.lang.Object value)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `EntityAttr` | `getEntityAttr()` | Значение параметра договора в виде EntityAttr, если параметр изменяется через `ContractService.contractParameterUpdate(int, EntityAttr)`.
  `java.lang.String` | `getError()` | Возвращает текст ошибки.
  `int` | `getParamId()` | Возвращает код параметра.
  `java.lang.Object` | `getValue()` | В зависимости от типа параметра объекта может быть Integer, String, Boolean, ContractAddressParamValue, ContractEmailParamValue
  `void` | `setError​(java.lang.String error)` | При установке ошибки этой функцией модификация параметра запрещается, ошибка отображается пользователю.

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `getContractId, getDestination, getGenerateTime, getMessageID, getModuleId, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, setMessageID, toString, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ContractParamBeforeChangeEvent

    protected ContractParamBeforeChangeEvent()

  - ### ContractParamBeforeChangeEvent

    public ContractParamBeforeChangeEvent​(int userId, int cid, int pid, java.lang.Object value)

- ## Method Details

  - ### getError

    public java.lang.String getError()
    Возвращает текст ошибки. Функция вызывается биллингом после обработки события.
    Specified by:
      `getError` in interface `ErrorReturnableEvent`
    Overrides:
      `getError` in class `ru.bitel.bgbilling.kernel.event.common.LocalEvent`
    Returns:

  - ### setError

    public void setError​(java.lang.String error)
    При установке ошибки этой функцией модификация параметра запрещается, ошибка отображается пользователю.
    Specified by:
      `setError` in interface `ErrorReturnableEvent`
    Overrides:
      `setError` in class `ru.bitel.bgbilling.kernel.event.common.LocalEvent`
    Parameters:
      `error` -

  - ### getParamId

    public int getParamId()
    Возвращает код параметра.
    Returns:

  - ### getValue

    public java.lang.Object getValue()
    В зависимости от типа параметра объекта может быть Integer, String, Boolean, ContractAddressParamValue, ContractEmailParamValue

  - ### getEntityAttr

    public EntityAttr getEntityAttr()
    Значение параметра договора в виде EntityAttr, если параметр изменяется через `ContractService.contractParameterUpdate(int, EntityAttr)`.
    Returns:
    See Also:
      `EntityAttr`